lwIP 2.1.2 Lightweight IP stack

Data Fields
mdns_host Struct Reference

## Data Fields
char | name [63+1]
struct mdns_service * | services [1]
u32_t | dns_ttl
u8_t | probes_sent
u8_t | probing_state

## Detailed Description

Description of a host/netif

## Field Documentation

## ◆ dns_ttl

u32_t mdns_host::dns_ttl

TTL in seconds of A/AAAA/PTR replies

## ◆ name

char mdns_host::name[63+1]

Hostname

## ◆ probes_sent

u8_t mdns_host::probes_sent

Number of probes sent for the current name

## ◆ probing_state

u8_t mdns_host::probing_state

State in probing sequence

## ◆ services

struct mdns_service* mdns_host::services[1]

Pointer to services

The documentation for this struct was generated from the following file:

- src/apps/mdns/mdns.c